package com.trade.service.trade.exportrebate.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.trade.exportrebate.domain.TaxRebatePurchaseDetails;
import com.trade.service.trade.exportrebate.dto.TaxRebatePurchaseAbstractInfo;
import com.trade.service.trade.exportrebate.dto.search.TaxRebatePurchaseAbstractInfoSearchDto;

import java.util.List;

/**
 * 出口退税-进货明细表数据库访问
 *
 * @author hlb
 * @since 2024-10-24 20:48:57
 */
public interface TaxRebatePurchaseDetailsMapper extends BaseMapper<TaxRebatePurchaseDetails> {
    /**
     * 出口退税进货明细摘要信息分页查询
     *
     * @param search
     * @return
     */
    List<TaxRebatePurchaseAbstractInfo> getTaxRebatePurchaseAbstractInfoPagesBySearch(
            TaxRebatePurchaseAbstractInfoSearchDto search);
}
